net.sf.jasperreports.components.map

## Class StandardMarkerDataset

- java.lang.Object
- - net.sf.jasperreports.components.map.StandardMarkerDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, MarkerDataset, JRChangeEventsSupport, JRCloneable

  Deprecated.
  Replaced by `StandardItemData`.

      public class StandardMarkerDataset
      extends java.lang.Object
      implements java.io.Serializable, MarkerDataset, JRChangeEventsSupport

  Version:
    $Id: StandardMarkerDataset.java 6002 2013-03-20 08:15:32Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DATASET_RUN` Deprecated.
    `static java.lang.String` | `PROPERTY_MARKER` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardMarkerDataset()` Deprecated.
    `StandardMarkerDataset(MarkerDataset dataset, JRBaseObjectFactory factory)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMarker(int index, Marker marker)` Deprecated.
    `void` | `addMarker(Marker marker)` Deprecated.
    `java.lang.Object` | `clone()` Deprecated.
    `void` | `collectExpressions(JRExpressionCollector collector)` Deprecated.
    `JRDatasetRun` | `getDatasetRun()` Deprecated.
    `JRPropertyChangeSupport` | `getEventSupport()` Deprecated. Returns the property change support object for this instance.
    `static ItemData` | `getItemData(MarkerDataset markerDataset)` Deprecated.
    `java.util.List<Marker>` | `getMarkers()` Deprecated.
    `Marker` | `removeMarker(Marker marker)` Deprecated.
    `void` | `setDatasetRun(JRDatasetRun datasetRun)` Deprecated. Sets the subdataset run information that will be used to create the marker list.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_MARKER

          public static final java.lang.String PROPERTY_MARKER

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROPERTY_DATASET_RUN

          public static final java.lang.String PROPERTY_DATASET_RUN

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardMarkerDataset

          public StandardMarkerDataset()

      Deprecated.

    - #### StandardMarkerDataset

          public StandardMarkerDataset(MarkerDataset dataset,
                               JRBaseObjectFactory factory)

      Deprecated.

  - ### Method Detail

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Deprecated.

    - #### getMarkers

          public java.util.List<Marker> getMarkers()

      Deprecated.
      Specified by:
        `getMarkers` in interface `MarkerDataset`

    - #### addMarker

          public void addMarker(Marker marker)

      Deprecated.

    - #### addMarker

          public void addMarker(int index,
                       Marker marker)

      Deprecated.

    - #### removeMarker

          public Marker removeMarker(Marker marker)

      Deprecated.

    - #### getDatasetRun

          public JRDatasetRun getDatasetRun()

      Deprecated.
      Specified by:
        `getDatasetRun` in interface `MarkerDataset`

    - #### setDatasetRun

          public void setDatasetRun(JRDatasetRun datasetRun)

      Deprecated.
      Sets the subdataset run information that will be used to create the marker list.
      Parameters:
        `datasetRun` - the subdataset run information
      See Also:
        `getDatasetRun()`

    - #### getItemData

          public static ItemData getItemData(MarkerDataset markerDataset)

      Deprecated.

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Deprecated.
      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Deprecated.
      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com